Foreman - Bug #6952

Correctly set hostgroup after provisioning from PXE menu
08/06/2014 06:19 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Amir Fefer
Category: Puppet integration
Target version: 1.15.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1127164 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4112
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1127164
Description of problem:

When we provision from the standard PXE menu, we can choose which hostgroup template to install the new server from.

Version-Release number of selected component (if applicable):
6 beta

How reproducible:
always

Steps to Reproduce:

1. Create some hostgroups with associated content views and lifecycle environments
2. Build the PXE default menu from the Provisioning Templates screen

3. PXE boot a new server

4. From the boot menu, select a hostgroup boot option

Actual results:
Machine boots and installs, however once it has registered with foreman, it is not in a hostgroup

Expected results:
The newly installed machine should be in the same hostgroup that we selected in the PXE menu.

Additional info:
Candidate patch:

patch po——+<<EOF
— /usr/share/foreman/app/models/host/managed.rb  2014-08-06 08:24:18.912311511 0000

++ /usr/share/foreman/app/models/host/managed.rb 2014-08-06 09:06:02.716311124 +0000
@ -404,6 +404,14 @

host ||= Host.new(:name => hostname, :certname => certname) if Setting[:create_new_host_when_facts_are_uploaded]
return Host.new, true if host.nil?

# set hostgroup defaults if provided by a fact
hostgroup_fact="foreman_hostgroup’
if facts.keys.include?(hostgroup_fact)
host.hostgroup = Hostgroup.find_by_title(facts[hostgroup_fact])
host.set_hostgroup_defaults
end

+ + + + + 4+

1. if we were given a certname but found the Host by hostname we should update the certname
host.certname = certname if certname.present?

EOF
https://bugzilla.redhat.com/show_bug.cgi?id=1127164

Related issues:

Related to Foreman - Bug #19635: Foreman host hostgroup is changed on puppet ...

Resolved

Associated revisions

Revision 9883149a - 01/11/2017 06:42 AM - Amir Fefer

Fixes #6952 - Set hostgroup after provisioning from pxe
After hostgroup provisioning, when the machine has registered
with foreman, it should be in the same hostgroup.

to achieve this behavier, the fact foreman_hostgroup should be
added to hostgroup provisioning template

History

#1 - 08/06/2014 06:20 AM - Dominic Cleal

- Category set to Puppet integration

#2 - 03/22/2016 04:34 AM - Ohad Levy

- Assignee set to Amir Fefer

#3 - 12/14/2016 07:04 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4112 added

#4 - 01/11/2017 07:01 AM - Amir Fefer
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9883149acbb88bd59695b92207933c074a72c427.

#5 - 01/12/2017 03:21 AM - Dominic Cleal

- translation missing: en.field_release set to 209

#6 - 01/24/2017 09:59 AM - Daniel Lobato Garcia

- Target version set to 169

#7 - 02/18/2017 10:23 AM - Brad Buckingham
- Target version deleted (169)

#8 - 02/21/2017 09:54 AM - Daniel Lobato Garcia

- Target version set to 1.11.0

#9 - 05/24/2017 06:26 AM - Dominic Cleal

- Related to Bug #19635: Foreman host hostgroup is changed on puppet run and fact import added
